/*
██╗  ██╗ █████╗ ██╗   ██╗███████╗███╗   ██╗    ███╗   ███╗ ██████╗ ██████╗ ██████╗  █████╗  ██████╗██╗  ██╗███████╗
██║  ██║██╔══██╗██║   ██║██╔════╝████╗  ██║    ████╗ ████║██╔═══██╗██╔══██╗██╔══██╗██╔══██╗██╔════╝██║ ██╔╝██╔════╝
███████║███████║██║   ██║█████╗  ██╔██╗ ██║    ██╔████╔██║██║   ██║██║  ██║██████╔╝███████║██║     █████╔╝ ███████╗
██╔══██║██╔══██║╚██╗ ██╔╝██╔══╝  ██║╚██╗██║    ██║╚██╔╝██║██║   ██║██║  ██║██╔═══╝ ██╔══██║██║     ██╔═██╗ ╚════██║
██║  ██║██║  ██║ ╚████╔╝ ███████╗██║ ╚████║    ██║ ╚═╝ ██║╚██████╔╝██████╔╝██║     ██║  ██║╚██████╗██║  ██╗███████║
╚═╝  ╚═╝╚═╝  ╚═╝  ╚═══╝  ╚══════╝╚═╝  ╚═══╝    ╚═╝     ╚═╝ ╚═════╝ ╚═════╝ ╚═╝     ╚═╝  ╚═╝ ╚═════╝╚═╝  ╚═╝╚══════╝
*/
ServerEvents.recipes(e => {
    e.remove({ id: 'create:milling/gravel'})
    e.remove({ id: 'createaddition:crushing/diamond'})

    e.remove({ id: 'createsifter:andesite_mesh'})
    e.remove({ id: 'createsifter:string_mesh'})
    e.remove({ id: 'createsifter:zinc_mesh'})
    e.remove({ id: 'createsifter:brass_mesh'})
    e.remove({ id: 'createsifter:advanced_brass_mesh'})
    e.remove({ id: 'createsifter:custom_mesh'})
    e.remove({ id: 'create_netherless:coal_rod_recipe'})
    e.remove({ id: 'create_netherless:coal_rod_recipe_using_deployer'})

    e.recipes.create.milling('minecraft:sand', 'minecraft:gravel').id('haven:milling_gravel')
    e.recipes.create.milling('exdeorum:wood_chippings', '#havenalchemy:bark').id('haven:chipped_bark')
    e.recipes.create.milling('havenalchemy:crushed_netherrack', 'minecraft:netherrack').id('haven:milling_crushed_netherrack')
    e.recipes.create.milling('havenalchemy:crushed_end_stone', 'minecraft:end_stone').id('haven:milling_crushed_end_stone')
    e.recipes.create.milling('havenalchemy:dust', 'minecraft:sand').id('haven:milling_sand')
    e.recipes.create.compacting(['dirt'], ['2x #forge:gravel', Fluid.water(500)])
    e.recipes.create.sandpaper_polishing('create_netherless:coal_rod', '#haven:coal_blocks').id('haven:polishing_coal_rod')

    e.shaped(
        Item.of('createsifter:string_mesh', 1),
        [ 
          'PSP', 
          'SMS',
          'PSP'  
        ],
        {
          P: '#minecraft:planks', 
          S: 'minecraft:stick',
          M: 'minecraft:string'
        }
      ).id('haven:string_mesh')

      e.shaped(
          Item.of('createsifter:andesite_mesh', 1),
          [ 
            'AAA', 
            'AMA',
            'AAA'  
          ],
          {
            A: 'create:andesite_alloy',
            M: 'createsifter:string_mesh'
          }
        ).id('haven:andesite_mesh')

      e.shaped(
        Item.of('createsifter:brass_mesh', 1),
        [ 
          'BBB', 
          'BMB',
          'BBB'
        ],
        {
          B: '#forge:storage_blocks/brass',
          M: 'createsifter:andesite_mesh'
        }
      ).id('haven:brass_mesh')

      e.shaped(
        Item.of('createsifter:advanced_brass_mesh', 1),
        [ 
          'HBH', 
          'BMB',
          'HBH'
        ],
        {
            B: '#forge:plates/brass',
            H: 'havenalchemy:havenite_ingot',
            M: 'createsifter:brass_mesh'
        }
      ).id('haven:advanced_brass_mesh')
  
      e.shaped(
          Item.of('create:andesite_alloy', 1),
          [ 
            'CA', 
            'AC'
          ],
          {
            C: 'minecraft:cobblestone', 
            A: 'minecraft:andesite',
          }
        ).id('haven:andesite_alloy')
})
